#include "validdialog.h"

ValidDialog::ValidDialog(QWidget * parent){
    Q_UNUSED(parent);
    label->setText(trUtf8("Voulez vous valider les honoraires antérieurs ?"));
    m_hashCheckBoxes.insert(CASH,cashBox);
    m_hashCheckBoxes.insert(CHECKS,checksBox);
    m_hashCheckBoxes.insert(VISA,cardsBox);
    m_hashCheckBoxes.insert(OTHERS,othersBox);
}

ValidDialog::~ValidDialog(){}

QList<int> ValidDialog::checksBoxesReturn(){
   QList<int> list;
   for (int i = 0; i < boxes_maxParams; i += 1)
   {
   	if (m_hashCheckBoxes.value(i)->isChecked())
   	{
   		  list << i;
   	    }
       }
   return list;
}

